Перейти к содержимому

GET /templates/{templateID}

List template builds

List all builds for a template

Параметры

  • templateID · string · путь · обязательно

  • nextToken · string · запрос · необязательно

    Cursor to start the list from

  • limit · integer · запрос · необязательно

    Maximum number of items to return per page

    Формат: int32

    По умолчанию: 100

    Минимум: 1

    Максимум: 100

Ответы

200

Successfully returned the template with its builds

Заголовки ответа

  • X-Next-Token · string · заголовок ответа

    Cursor to fetch the next page of results, if more exist

Content-Type: application/json

Схема: TemplateWithBuilds

  • templateID · string · обязательно

    Identifier of the template

  • public · boolean · обязательно

    Whether the template is public or only accessible by the team

  • names · array<string> · обязательно

    Names of the template (namespace/alias format when namespaced)

  • createdAt · string · обязательно

    Time when the template was created

    Формат: date-time

  • updatedAt · string · обязательно

    Time when the template was last updated

    Формат: date-time

  • lastSpawnedAt · string | null · обязательно

    Time when the template was last used

    Формат: date-time

  • spawnCount · integer · обязательно

    Number of times the template was used

    Формат: int64

  • builds · array<TemplateBuild> · обязательно

    List of builds for the template

  • builds.buildID · string · обязательно

    Identifier of the build

    Формат: uuid

  • builds.status · TemplateBuildStatus · обязательно

    Status of the template build

    Допустимые значения для TemplateBuildStatus: building | waiting | ready | error

  • builds.createdAt · string · обязательно

    Time when the build was created

    Формат: date-time

  • builds.updatedAt · string · обязательно

    Time when the build was last updated

    Формат: date-time

  • builds.finishedAt · string · необязательно

    Time when the build was finished

    Формат: date-time

  • builds.cpuCount · CPUCount · обязательно

    CPU cores for the sandbox

    Формат: int32

    Минимум: 1

  • builds.memoryMB · MemoryMB · обязательно

    Memory for the sandbox in MiB

    Формат: int32

    Минимум: 128

  • builds.diskSizeMB · DiskSizeMB · необязательно

    Disk size for the sandbox in MiB

    Формат: int32

    Минимум: 0

  • builds.envdVersion · EnvdVersion · необязательно

    Version of the envd running in the sandbox

401

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error